gnash(1)

NAME
gnash - GNU Flash Player

Synopsis
gnash (options)... (file)...

DESCRIPTION
Run the Flash movie player.

-h  Print usage info.

-s factor
    Scale the movie up/down by the specified factor.

-c  Produce a core file instead of letting SDL trap it

-d num
    Number of milli-seconds to delay in main loop

-a  Turn antialiasing on/off. (obsolete)

-v  Be verbose; i.e. print log messages to stdout

-va Be verbose about movie Actions

-vp Be verbose about parsing the movie

-ml bias
    Specify the texture LOD bias (float, default is -1)

-p  Run full speed (no sleep) and log frame rate

-e  Use SDL Event thread

-1  Play once; exit when/if movie reaches the last frame

-r [0|1|2]
    0 disables renderering and sound (good for batch tests) 1 enables rendering and sound (default setting) 2 enables rendering and disables sound

-t sec
    Timeout and exit after the specified number of seconds

-b bits
    Bit depth of output window (16 or 32, default is 16)

  KEYS

CTRL-Q
    Quit/Exit

CTRL-W
    Quit/Exit

ESC Quit/Exit

CTRL-P
    Toggle Pause

CTRL-R
    Restart the movie

CTRL-[ or kp-
    Step back one frame

CTRL-] or kp+
    Step forward one frame

CTRL-A
    Toggle antialiasing (doesn't work)

CTRL-T
    Debug. Test the set_variable() function

CTRL-G
    Debug. Test the get_variable() function

CTRL-M
    Debug. Test the call_method() function

CTRL-B
    Toggle background color